%define release_stamp 202501.4.g68395a3

Name: libcvatparse
Version: %release_stamp
Release: elv.alt1

Summary: CVAT parse library
License: GPL-2.0
Group: Development/Other

BuildRequires(pre): rpm-macros-cmake rpm-build-python3
BuildRequires: cmake
BuildRequires: gcc-c++
BuildRequires: libtinyxml2-devel
BuildRequires: python3-module-setuptools

Source: %name-%version.tar.gz
Vendor: RnD Center "ELVEES", JSC

%description
Computer Vision Annotation Tool parse library

%package devel
Summary: Development files for CVAT parse library
Group: Development/Other
BuildArch: noarch
Requires: libcvatparse

%description devel

%package -n python3-module-cvatparse
Summary: Python modules
Group: Development/Other
BuildArch: noarch

%description -n python3-module-cvatparse

%prep
%setup -n %name

%build
%cmake
%cmake_build
%python3_build_debug

%install
%cmake_install
mv %buildroot%prefix/lib %buildroot%_libdir
%python3_install

%files
%_libdir/*.so

%files devel
%_includedir/*
%_libdir/cmake

%files -n python3-module-cvatparse
%python3_sitelibdir_noarch/*
